Post news RSS Incoming Sins DLC/Patch, Next Full Version

Tomorrow a new Sins DLC pack and patch are scheduled for release. Make a copy of your current Sins folder to ensure that you will be able to play all your mods if 1.8 breaks mod compatibility. The next full version has been delayed due to a combination of midterms and work on a new capital ship/supercap experience system. This full version will now gain an additional delay as I will be making sure it is 1.8 compliant.

Posted by on

Tomorrow, a new Sins DLC pack and a new regular patch, version 1.8, are scheduled for release. I would recommend for everyone to make a copy of your current Sins folder, located at " ...\Steam\steamapps\common\sins of a solar empire rebellion " to ensure that you will be able to play all your mods encase 1.8 breaks mod compatibility.

That being said, I've been planning a new full release for the past 2 weeks or so, it's been delayed due to a combination of midterms and work on a new capital ship/supercap experience system; no longer will an Executor be worth the same XP as an Allegiance, nor will a Bulwark be worth the same XP as an ISD-II. This full version will now gain an additional delay as I will be making sure it is 1.8 compliant.

Comments
Galudirithon
Galudirithon - - 762 comments

Where have you found out this information? I can't find anything suggesting there is a DLC on the way?

Reply Good karma Bad karma+2 votes
Guest
Guest - - 692,654 comments

This comment is currently awaiting admin approval, join now to view.

Evaders99
Evaders99 - - 166 comments

It's on the forums
Forums.sinsofasolarempire.com

Reply Good karma Bad karma+2 votes
Guest
Guest - - 692,654 comments

Damnation. Was happily playing a game with this fantastic mod when my game crashed. Rebooted only to have steam telling me it is updating the game. Before I could react the update was done and now I can't use the mod. Are my game saves compromised now? Please note, I'm not angry at the modders, merely lamenting my situation thanks to steam's bloody auto update. As for Lavo, dude take your time. What you have done so far is absolutely amazing, loving this mod. Real life matters obviously take precedence so please focus on your midterms and good luck. Just finished my final uni exams myself :P

Reply Good karma Bad karma+1 vote
mikey1871
mikey1871 - - 1,097 comments

yes, it's steams fault. there is supposed to be a way in which you can rool-back the last steam changes to the game. if you can then like Lavo said, make a copy of your game files.

Or i just would roll back the latest version of the game on steam and then tale steam "Off-line mode". that way you can play the mods you currently have until the modders get to issue a patch for stardock's marketing ********. They push this **** and they break the darn mods. IT's all about the damn money.

Reply Good karma Bad karma+1 vote
Guest
Guest - - 692,654 comments

If u kept Reading Before u posted a comment u´d know that most likely they didn´t break anything with the DLC patch. Just added a new 1.8 folder u need to move the mod to.

Reply Good karma Bad karma+1 vote
Guest
Guest - - 692,654 comments

Turn off auto update on the game- that way you can read what the update does to the game, before you update it... you can always update later when the mods have been made workable.

Reply Good karma Bad karma+1 vote
Guest
Guest - - 692,654 comments

First I would like to thank for this awsome mod. :)

Just started playing and sure there´s things to work on still but yeah I´m having ALOT of fun.

Yesterdays patch for the new DLC for SoSE may have caused the mod to stop work. But here is what I just tried and it´s working so far.

Simply move the content of the "Mods-Rebellion v1.52" folder to the new "Mods-Rebellion v1.80" folder created with the latest patch.

Loaded my last gamesave and have played for just about 10 min. But no sign of trouble so far. :)
Not tried to start a new game, but lets hope it´s just this simple. :)

Reply Good karma Bad karma+3 votes
Lavo Author
Lavo - - 2,041 comments

So far the mod in it's current form will work with 1.8, but starting a new game may be required.

Reply Good karma+4 votes
Guest
Guest - - 692,654 comments

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.